package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFHJ2 extends MwfRequest<MWFHJ2, MWFHJ2Response> {

    @Parameter(name = "APP_KEY")
    MWFHJ2 appKey(Long appKey);
    @Parameter(name = "FIRST_DRAW_AMT")
    MWFHJ2 firstDrawAmt(Double firstDrawAmt);
    @Parameter(name = "LOAN_AMOUNT")
    MWFHJ2 loanAmount(Double loanAmount);
    @Parameter(name = "PRDCT_CAND_KEY")
    MWFHJ2 prdctCandKey(Long prdctCandKey);
}
